# -*- coding: utf-8 -*-
"""
Smith-Prädiktor Parameterdatei
Created on 13.6.23
@author: philippsen
"""

import control as ct
  
pt = ct.tf(1,[1,1]) # Strecke 
ptm = ct.tf(1,[1,1]) # Modell der Strecke

K=2; Tn = 1.1
pi = ct.tf([K*Tn,K],[Tn,0])     #PI-Regler
t0 = 0.01  # Abtastzeit
totzeit = 1 # Sekunde
# Totzeit als zeitdiskretes System
nn = int(totzeit/t0)
z=ct.tf('z')
tot=(z**(-nn) )/1
totM = (z**(-nn) )/1


